$ErrorActionPreference = 'Stop';

$packageName= 'invantive-authenticator'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Authenticator-20.1.20-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Authenticator-20.1.20-BETA.msi'
  softwareName = 'Invantive Authenticator'
  checksum = 'C34346470254B0CFB91A21E034B0B7DD338B2957063027F564350818338D0343'
  checksumType = 'sha256'
  checksum64 = 'C34346470254B0CFB91A21E034B0B7DD338B2957063027F564350818338D0343'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-authenticator-20.1.20-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
